List Refunds By Attempt

Deprecated
View as Markdown

List refunds for a processor attempt. Deprecated: Use /by_charge/{charge_id} instead.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processor_attempt_external_idstringRequired
account_idstringRequired

Response

Successful Response
idstring
ID of the refund
account_idstring
ID of the account
charge_idstring
ID of the original charge
amount_atominteger
Refund amount in atoms
currencyenum

Currency code (e.g., USD)

statusenum
Status of a refund throughout its lifecycle.
created_atdatetime
updated_atdatetime
reasonenum or nullOptional
Reason for initiating a refund.
processor_refund_idstring or nullOptional

Processor’s refund ID (e.g., Stripe’s re_xxx)

failure_codestring or nullOptional
failure_messagestring or nullOptional
processed_atdatetime or nullOptional
metadatamap from strings to any or nullOptional

Errors

422
Unprocessable Entity Error